org.modeshape.jcr.cache.change

## Class NodeAdded

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.NodeAdded

- All Implemented Interfaces:
    Serializable

      public class NodeAdded
      extends AbstractNodeChange

  Change representing the addition of a node.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAdded(NodeKey key, NodeKey parentKey, Path path, Name primaryType, Set<Name> mixinTypes, Map<Name,Property> properties, boolean queryable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getParentKey()` Get the key for the parent under which the new node was added.
    `Map<Name,Property>` | `getProperties()` Get the immutable map of properties that were added as part of this node.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAdded

          public NodeAdded(NodeKey key,
                   NodeKey parentKey,
                   Path path,
                   Name primaryType,
                   Set<Name> mixinTypes,
                   Map<Name,Property> properties,
                   boolean queryable)

  - ### Method Detail

    - #### getParentKey

          public NodeKey getParentKey()

      Get the key for the parent under which the new node was added.
      Returns:
        the key for the parent; never null

    - #### getProperties

          public Map<Name,Property> getProperties()

      Get the immutable map of properties that were added as part of this node.
      Returns:
        the properties keyed by their name; never null but possibly empty

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.